python-django-polymorphic_0.8.1-1_all.deb


Advertisement

Description

python-django-polymorphic - Seamless Polymorphic Inheritance for Django Models

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-django-polymorphic
Package version: 0.8.1
Package release: 1
Package architecture: all
Package type: deb
Installed size: 173 B
Download size: 33.29 KB
Official Mirror: archive.ubuntu.com
Django-polymorphic simplifies using inherited models in Django projects. When a query is made at the base model, the inherited model classes are returned. Features: * Full admin integration. * ORM integration: + Support for ForeignKey, ManyToManyField, OneToOneField descriptors. + Support for proxy models. + Filtering/ordering of inherited models (ArtProject___artist). + Filtering model types: instance_of(...) and not_instance_of(...) + Combining querysets of different models (qs3 = qs1 | qs2) + Support for custom user-defined managers. * Uses the minimum amount of queries needed to fetch the inherited models. * Disabling polymorphic behavior when needed.

Alternatives

    Download

    Source package: django-polymorphic

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-django-polymorphic deb package:
      # sudo apt-get install python-django-polymorphic

    Files

    • /usr/lib/python2.7/dist-packages/django_polymorphic-0.8.1.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/django_polymorphic-0.8.1.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/django_polymorphic-0.8.1.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/django_polymorphic-0.8.1.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/polymorphic/__init__.py
    • /usr/lib/python2.7/dist-packages/polymorphic/admin.py
    • /usr/lib/python2.7/dist-packages/polymorphic/base.py
    • /usr/lib/python2.7/dist-packages/polymorphic/manager.py
    • /usr/lib/python2.7/dist-packages/polymorphic/managers.py
    • /usr/lib/python2.7/dist-packages/polymorphic/models.py
    • /usr/lib/python2.7/dist-packages/polymorphic/query.py
    • /usr/lib/python2.7/dist-packages/polymorphic/query_translate.py
    • /usr/lib/python2.7/dist-packages/polymorphic/showfields.py
    • /usr/lib/python2.7/dist-packages/polymorphic/tests.py
    • /usr/lib/python2.7/dist-packages/polymorphic/tools_for_tests.py
    • /usr/lib/python2.7/dist-packages/polymorphic/templates/admin/polymorphic/add_type_form.html
    • /usr/lib/python2.7/dist-packages/polymorphic/templates/admin/polymorphic/change_form.html
    • /usr/lib/python2.7/dist-packages/polymorphic/templates/admin/polymorphic/delete_confirmation.html
    • /usr/lib/python2.7/dist-packages/polymorphic/templatetags/__init__.py
    • /usr/lib/python2.7/dist-packages/polymorphic/templatetags/polymorphic_admin_tags.py
    • /usr/share/doc/python-django-polymorphic/NEWS.Debian.gz
    • /usr/share/doc/python-django-polymorphic/README.rst
    • /usr/share/doc/python-django-polymorphic/changelog.Debian.gz
    • /usr/share/doc/python-django-polymorphic/copyright

    Changelog

    2015-12-29 - Michael Fladischer <fladi@debian.org> django-polymorphic (0.8.1-1) unstable; urgency=medium * New upstream release (Closes: #806354). * Add NEWS file to document backwards incompatible changes.

    2015-10-06 - Michael Fladischer <fladi@debian.org> django-polymorphic (0.7.2-1) unstable; urgency=low * New upstream release.

    2015-05-19 - Michael Fladischer <fladi@debian.org> django-polymorphic (0.7.1-1) unstable; urgency=medium * New upstream release. * Really delete django-1.7.patch. * Change my email address to fladi@debian.org.

    2014-10-20 - Michael Fladischer <FladischerMichael@fladi.at> django-polymorphic (0.6-1) unstable; urgency=low * New upstream release. * Drop django-1.7.patch as it is now applied upstream. * Bump Standards-Version to 3.9.6.

    2014-09-19 - Michael Fladischer <FladischerMichael@fladi.at> django-polymorphic (0.5.6-1) unstable; urgency=medium * New upstream release. * Add django-1.7.patch to fix the test-suite with Django 1.7 (Closes: #755602). * Add dh-python to Build-Depends. * Switch buildsystem to pybuild. * Remove superfluous install file. * Add Python3 support. * Update upstream information in d/copyright.

    2014-04-17 - Michael Fladischer <FladischerMichael@fladi.at> django-polymorphic (0.5.4-1) unstable; urgency=low * Initial release (Closes: #745122).

    Advertisement
    Advertisement